#!/bin/bash

# script for executing benchmark for range queries

# create/clear benchmark subdirectory
mkdir -p rangequeries
rm -rf rangequeries/*

# copy raw files to correct location
cp /home/kreft/benchmark/benchmarks/fill_ranges_sqlite ./fill.txt
cp /home/kreft/benchmark/benchmarks/mixed_ranges_sqlite ./mixed.txt

echo "Executing range query benchmark"
for run in 1 2 3 4 5
do
  echo "Executing run $run"
	cat benchmark_run.txt | ../sqlite_binary >> ./rangequeries/messung.txt
	#cat benchmark_run_hash.txt | ../sqlite_binary >> ./rangequeries/messung_hash.txt
	echo "Executing run $run with btree"
	cat benchmark_run_btree.txt | ../sqlite_binary >> ./rangequeries/messung_btree.txt
done